Subject: 28.0.50; gnu-elpa: if user says `no' to install package, it aborts the previous function invoked

From: Jean Louis <[email-masked]>
Date: Mon, 07 Dec 2020 13:33:01 +0300

I am using M-x sql-postgres and when invoked with gnu-elpa package
installed it asks me to install sql-indent, but I say no and on saying
no it aborts my action and I cannot even reach to sql-postgres
mode. To reach it I have to invoke M-x sql-postgres second time

In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
 of 2020-11-25 built on protected.rcdrun.com
Repository revision: 30c437752df0a3a9410f1249fa0f237110811af2
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11907000
System Description: Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=/package/text/emacs --with-modules
 --with-x-toolkit=lucid'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON
PDUMPER LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: ELisp/d

Minor modes in effect:
  TeX-PDF-mode: t
  jabber-activity-mode: t
  hpath:find-file-urls-mode: t
  timeclock-mode-line-display: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  immortal-scratch-mode: t
  electric-pair-mode: t
  display-time-mode: t
  display-battery-mode: t
  helm-ff-cache-mode: t
  shell-dirtrack-mode: t
  async-bytecomp-package-mode: t
  persistent-scratch-autosave-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

-- 
Thanks,
Jean Louis
⎔ λ 🄯 𝍄 𝌡 𝌚